Subject: bug#24923: 25.1; Lisp watchpoints

From: Eli Zaretskii <[email-masked]>
Date: Sun, 20 Nov 2016 17:58:17 +0200

> From: [email-masked]
> Cc: [email-masked]
> Date: Sat, 19 Nov 2016 21:12:13 -0500
> 
> Eli Zaretskii <[email-masked]> writes:
> >
> > Our coding conventions put the logical operators at the beginning of a
> > line, not at EOL.
> 
> Fixed this, and added documentation.  Also, watcher functions are now
> listed in describe-variable output.

Thanks.

> Does it make sense to mention the use of the `watchers' symbol property
> in the manual?  Since I've added a `get-variable-watchers' it's now
> possible to ignore the symbol property as an implementation detail.

I think the property can indeed be left undocumented.

> @@ -1233,13 +1233,14 @@ DEFUN ("set", Fset, Sset, 2, 2, 0,
>     If buffer/frame-locality is an issue, WHERE specifies which context to use.
>     (nil stands for the current buffer/frame).
>  
> -   If BINDFLAG is false, then if this symbol is supposed to become
> -   local in every buffer where it is set, then we make it local.
> -   If BINDFLAG is true, we don't do that.  */
> +   If BINDFLAG is SET_INTERNAL_SET, then if this symbol is supposed to
> +   become local in every buffer where it is set, then we make it
> +   local.  If BINDFLAG is SET_INTERNAL_BIND or SET_INTERNAL_UNBIND, we
> +   don't do that.  */

What are those SET_INTERNAL_* values?  They are numbers, right?  Then
they should be described as such in the doc string.

> +(defun cancel-debug-on-variable-change (&optional variable)
> +  "Undo effect of \\[debug-on-entry] on VARIABLE.
                     ^^^^^^^^^^^^^^^^^^
Copy/paste error.

I will comment on the documentation in a separate message.